Bug 440231 - lircd just exits when device isn't supported
lircd just exits when device isn't supported
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lirc (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 08:55 EDT by Bastien Nocera
Modified: 2008-08-22 19:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-22 19:41:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-04-02 08:55:08 EDT
lirc-0.8.3-0.2.pre1.fc9.i386

In /etc/sysconfig/lirc:
LIRCD_OPTIONS="-d /dev/ttyS3"
(which is supposed to be a Fast IR device)

Trying to connect to it using irw just asserts.

#0  0x00110416 in __kernel_vsyscall ()
#1  0x003684b0 in raise (sig=<value optimized out>) at
../nptl/sysdeps/unix/sysv/linux/raise.c:64
#2  0x0804b966 in add_client (sock=4) at lircd.c:521
#3  0x0804e819 in waitfordata (maxusec=0) at lircd.c:1974
#4  0x0804e934 in loop () at lircd.c:1998
#5  0x0804eeb1 in main (argc=3, argv=0xbf95ca24) at lircd.c:2265
(gdb) frame 2
#2  0x0804b966 in add_client (sock=4) at lircd.c:521
521					dosigterm(SIGTERM);
(gdb) list
516				if(!hw.init_func())
517				{
518					shutdown(clis[0],2);
519					close(clis[0]);
520					clin=0;
521					dosigterm(SIGTERM);
522				}
523			}
524		}
525	}

It should just print a warning, not exit.
Comment 1 Bug Zapper 2008-05-14 04:34:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bastien Nocera 2008-07-01 11:45:58 EDT
Never mind.
Comment 3 Bastien Nocera 2008-08-11 20:26:32 EDT
Right, reproduced with a better use case, reopening.

1. Launch newly installed machine
2. Plug in USB receiver for the remote
3. Set it up using gnome-lirc-properties
4. Use happily with applications

5. Unplug receiver
6. Launch application, no worries, no lirc support but no receiver
7. Launch application again, lircd has quit in between, my application gives me an error!

This happens between 6 and 7:
Aug 12 01:20:58 cookie lircd-0.8.3[3240]: accepted new client on /dev/lircd•
Aug 12 01:20:58 cookie lircd-0.8.3[3240]: could not get file information for /dev/lirc0•
Aug 12 01:20:58 cookie lircd-0.8.3[3240]: default_init(): No such file or directory•
Aug 12 01:20:58 cookie lircd-0.8.3[3240]: caught signal•

lircd should be kept running, just doing nothing. There's no point in it quitting, just messing up the rest of the setup.
Comment 4 Bastien Nocera 2008-08-14 05:09:00 EDT
Patch send upstream at: http://thread.gmane.org/gmane.comp.hardware.lirc/6889

Jarod, Ville, what do you reckon?
Comment 5 Bastien Nocera 2008-08-22 19:41:40 EDT
Built in rawhide with the patch that was committed upstream.

Note You need to log in before you can comment on or make changes to this bug.